Package org.apache.sysds.runtime.io

# Class TensorWriterBinaryBlock

java.lang.Object
org.apache.sysds.runtime.io.TensorWriter
org.apache.sysds.runtime.io.TensorWriterBinaryBlock

Direct Known Subclasses:
  `TensorWriterBinaryBlockParallel`

public class TensorWriterBinaryBlock extends TensorWriter

## Constructor Summary

Constructors
Constructor
Description
`TensorWriterBinaryBlock()`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeTensorToHDFS(TensorBlock src, String fname, int blen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorWriterBinaryBlock

public TensorWriterBinaryBlock()

## Method Details

### writeTensorToHDFS

public void writeTensorToHDFS(TensorBlock src, String fname, int blen) throws IOException

Specified by:
  `writeTensorToHDFS` in class `TensorWriter`
Throws:
  `IOException`